# How Tos

Here you'll find a list of How To guides that walk you through accomplishing specific tasks.

### Service invocation
* [Invoke other services in your cluster or environment](./invoke-and-discover-services)
* [Create a gRPC enabled app, and invoke Dapr over gRPC](./create-grpc-app)

### State Management
* [Setup Dapr state store](./setup-state-store)
* [Create a service that performs stateful CRUD operations](./create-stateful-service)
* [Query the underlying state store](./query-state-store)
* [Create a stateful, replicated service with different consistency/concurrency levels](./stateful-replicated-service)
* [Control your app's throttling using rate limiting features](./control-concurrency)

### Pub/Sub
* [Setup Dapr Pub/Sub](./setup-pub-sub-message-broker)
* [Use Pub/Sub to publish messages to a given topic](./publish-topic)
* [Use Pub/Sub to consume events from a topic](./consume-topic)

### Resources Bindings
* [Trigger a service from different resources with input bindings](./trigger-app-with-input-binding)
* [Invoke different resources using output bindings](./send-events-with-output-bindings)

### Distributed Tracing
* [Diagnose your services with distributed tracing](./diagnose-with-tracing)

### Secrets
* [Configure secrets using Dapr secret stores](./setup-secret-store)

### Autoscaling
* [Autoscale on Kubernetes using KEDA and Dapr bindings](./autoscale-with-keda)
